using System;
using System.Collections.Generic;
using System.Text;

namespace Shapes
{
    internal abstract class PositionedShape: IShape
    {
        protected int posX;
        protected int posY;

        public PositionedShape(int pX, int pY)
        {
            posX = pX;
            posY = pY;
        }
        public abstract double GetArea();
        public abstract string GetName();
    }
}
